import json
from transformers import LlamaConfig


class LlamaConfigAdaptMask(LlamaConfig):
    def __init__(
        self,
        cnn_kernel_size=None,
        *args,
        **kwargs,
    ):
        super().__init__(*args, **kwargs)
        self.cnn_kernel_size = cnn_kernel_size
